Page MenuHomePhabricator

Wikistats 2.0: allow to view stats for all language versions (a.k.a. Project families)
Closed, ResolvedPublic5 Story Points

Description

Hello, I think it would be interesting to be able to see statistics for a wiki project (Wikipedia, Wikisource, Wiktionary, ...) for all language versions at the same time. That's mean that if I select Wikipedia alone (and not any language version after), Wikistats will display the statistics for the sum of all the language version (en + de + fr + es + ...).

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedNone
OpenNone
OpenNone
OpenNone
ResolvedNone
ResolvedMilimetric
ResolvedJAllemandou
ResolvedNone
Resolved ema
ResolvedJAllemandou
Resolved Tbayer
Resolvedfdans
Resolvedfdans
Resolvedfdans
DuplicateNone
Resolvedfdans
OpenNone
OpenNone
OpenJAllemandou
ResolvedAmitjoki
DuplicateErik_Zachte

Event Timeline

Pamputt created this task.Feb 28 2018, 8:58 PM
Restricted Application added a project: Analytics. · View Herald TranscriptFeb 28 2018, 8:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nuria renamed this task from Wikistats 2.0: allow to view stats for all language versions to Wikistats 2.0: allow to view stats for all language versions (a.k.a. Project families).Feb 28 2018, 9:03 PM

Adding some context from @Varnent. Comms uses these kinds of metrics often, see the full details here: https://office.wikimedia.org/wiki/Communications/Guidelines#Statistics. And fun fact, the original Wikistats uses project code "ZZ" to indicate "all", so zz.wikipedia means all wikipedias: https://stats.wikimedia.org/EN/TablesWikipediaZZ.htm

Milimetric triaged this task as Normal priority.Apr 23 2018, 4:53 PM
Milimetric moved this task from Backlog (Later) to Data Quality on the Analytics board.
Milimetric moved this task from Data Quality to Wikistats Production on the Analytics board.
Milimetric raised the priority of this task from Normal to High.May 9 2018, 9:15 PM

(upping priority for comms)

Change 456442 had a related patch set uploaded (by Joal; owner: Joal):
[analytics/aqs@master] Update WKS2 endpoints to accept project families

https://gerrit.wikimedia.org/r/456442

Nuria renamed this task from Wikistats 2.0: allow to view stats for all language versions (a.k.a. Project families) to Wikistats 2.0: allow to view stats for all language versions (a.k.a. Project families) .Sep 20 2018, 3:02 PM

Change 464583 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Adds logic and configuration for project families

https://gerrit.wikimedia.org/r/464583

Nuria added a comment.Dec 12 2018, 7:50 PM

These changes have been deployed for a few metrics, see for example new registedred users for all wikipedias: https://stats.wikimedia.org/v2/#/all-wikipedia-projects/contributing/new-registered-users/normal|bar|1-Month|~total

Nuria closed this task as Resolved.Dec 12 2018, 7:50 PM
Nuria set the point value for this task to 5.